/*! Pushy - v1.2.0 - 2019-4-24

* Pushy is a responsive off-canvas navigation menu using CSS transforms & transitions.

* https://github.com/christophery/pushy/

* by Christopher Yee */

/* Menu Appearance */

.pushy {

  position: fixed;

  width: 300px;

  height: 100%;

  top: 0;

  z-index: 9999;

  background: #191918;

  overflow: auto;

  -webkit-overflow-scrolling: touch;

  /* enables momentum scrolling in iOS overflow elements */

}

.pushy a {

  display: block;

  color: #fff;

  padding: 6px 20px;

  text-decoration: none;

}

.pushy a:hover {

  color: #000;

}

.pushy ul:first-child {

  margin-top: 20px;

}

.pushy.pushy-left {

  left: 0;

}

.pushy.pushy-right {

  right: 0;

}



.pushy-content {

  visibility: hidden;

}



/* Menu Movement */

.pushy-left {

  -webkit-transform: translate3d(-300px, 0, 0);

  -ms-transform: translate3d(-300px, 0, 0);

  transform: translate3d(-300px, 0, 0);

}



.pushy-open-left #container,

.pushy-open-left .push {

  -webkit-transform: translate3d(300px, 0, 0);

  -ms-transform: translate3d(300px, 0, 0);

  transform: translate3d(300px, 0, 0);

}



.pushy-right {

  -webkit-transform: translate3d(300px, 0, 0);

  -ms-transform: translate3d(300px, 0, 0);

  transform: translate3d(300px, 0, 0);

}



.pushy-open-right #container,

.pushy-open-right .push {

  -webkit-transform: translate3d(-300px, 0, 0);

  -ms-transform: translate3d(-300px, 0, 0);

  transform: translate3d(-300px, 0, 0);

}



.pushy-open-left .pushy,

.pushy-open-right .pushy {

  -webkit-transform: translate3d(0, 0, 0);

  -ms-transform: translate3d(0, 0, 0);

  transform: translate3d(0, 0, 0);

}

.pushy-open-left .pushy-content,

.pushy-open-right .pushy-content {

  visibility: visible;

}



/* Menu Transitions */

#container,

.pushy,

.push {

  transition: transform 0.2s cubic-bezier(0.16, 0.68, 0.43, 0.99);

}



.pushy-content {

  transition: visibility 0.2s cubic-bezier(0.16, 0.68, 0.43, 0.99);

}



/* Site Overlay */

.site-overlay {

  display: none;

}



.pushy-open-left .site-overlay,

.pushy-open-right .site-overlay {

  display: block;

  position: fixed !important;

  top: 0;

  right: 0;

  bottom: 0;

  left: 0;

  z-index: 9998;

  background-color: rgba(0, 0, 0, 0.5);

  -webkit-animation: fade 500ms;

  animation: fade 500ms;

}



@keyframes fade {

  0% {

    opacity: 0;

  }

  100% {

    opacity: 1;

  }

}

@-webkit-keyframes fade {

  0% {

    opacity: 0;

  }

  100% {

    opacity: 1;

  }

}

